Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059488 - grub2 does not ship any documentation (e.g. man pages)
Summary: grub2 does not ship any documentation (e.g. man pages)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 20
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 23:33 UTC by Christian Stadelmann
Modified: 2014-10-01 10:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 10:40:34 UTC


Attachments (Terms of Use)

Description Christian Stadelmann 2014-01-29 23:33:21 UTC
the grub2 package does not ship any documentation (e.g. man pages). This would especially be useful for the Fedora-specific code.

Comment 1 Mads Kiilerich 2014-01-30 01:36:58 UTC
It do have documentation. Grub is a GNU project and the documentation is in info pages.

The fedora specific parts are mainly conventions and do just as much live in anaconda and grubby. There is however some outdated info in /usr/share/doc/grub2-tools/README.Fedora - patches would probably be welcome.

The code changes that are specific for the Fedora fork is not documented ... and it is unlikely they ever will be. Better contribute upstream and make sure they get a better and more well-documented solution that Fedora over time can migrate to.

Comment 2 Christian Stadelmann 2014-10-01 10:40:34 UTC
You are right, `$ info grub` does the trick.


Note You need to log in before you can comment on or make changes to this bug.